dpkg-query(1)

NAME
dpkg-query - ein Werkzeug, um die dpkg-Datenbank abzufragen

ÜBERSICHT
dpkg-query [Option ?] Befehl

BESCHREIBUNG
dpkg-query ist ein Werkzeug, um Informationen über Pakete zu zeigen, die in der dpkg-Datenbank aufgeführt sind.

BEFEHLE

-l, --list [Paketname-Muster ?]
    Liste Pakete auf, deren Namen auf ein bestimmtes Muster passt. Falls kein Paketname-Muster angegeben ist, liste alle Pakete in /var/lib/dpkg/status auf. Dabei werden alle Pakete ausgeschlossen, die als »nicht-installiert markiert sind (d.h. früher endgültig entfernt wurden). Beachten Sie, dass Sie wahrscheinlich Paketname-Muster durch Anführungszeichen schützen müssen, um die Shell an der Dateinamen-Expansion zu hindern. Folgender Befehl listet beispielsweise alle Paketnamen, die mit »libc6« beginnen, auf:
      dpkg-query -l 'libc6*'
    Die ersten drei Spalten der Ausgabe zeigen die gewünschte Aktion, den Paketstatus und Fehler, in dieser Reihenfolge. Gewünschte Aktion:
      u = Unbekannt
      i = Installieren
      h = Halten
      r = Entfernen
      p = Vollständig Löschen
    Paketstatus:
      n = Nicht installiert
      c = Config-Datei
      H = Halb installiert
      U = Entpackt
      F = Fehlgeschl. Konfiguration
      W = Trigger erWartet
      t = Trigger anhängig
      i = Installiert
    Fehler-Schalter:
      <leer> = (kein)
      R = Neuinstallation notwendig
    Ein Großbuchstabe als Status oder Fehler zeigt an, dass das Paket wahrscheinlich schwere Fehler verursachen wird. Bitte lesen Sie dpkg(1) über die oben genannten Zustände und Schalter. Das Ausgabeformat dieser Option kann nicht konfiguriert werden, variiert aber automatisch mit der Terminalbreite. Die Ausgabe ist für menschliche Leser gedacht und nicht leicht maschinenlesbar. Lesen Sie über die Optionen -W (--show) und --showformat, um das Ausgabeformat zu konfigurieren.

-W, --show [Paketname-Muster ?]
    Genau wie die --list-Option wird dies alle Pakete, die auf das angegebene Muster passen, aufführen. Allerdings kann die Ausgabe mit der --showformat-Option angepasst werden. Im Standardausgabeformat wird eine Zeile pro passendem Paket ausgegeben, wobei in jeder Zeile Name (erweitert mit dem Architektur-Kennzeichner für Multi-Arch-same-Pakete) und installierte Version des Pakets getrennt durch einen Tabulator enthalten sind.

-s, --status Paketname ?
    Berichte Zustand des angegebenen Paketes. Dies zeigt nur den Eintrag in der Datenbank der Zustände der installierten Pakete. Wenn mehrere Paketname aufgeführt sind, werden die angeforderten Statuseinträge durch Leerzeilen getrennt, wobei die Reihenfolge identisch zu der in der Argumentenliste ist.

-L, --listfiles Paketname ?
    Aufführen von Dateien, die durch Paketname installiert wurden. Wenn mehrere Paketname aufgeführt sind, werden die angeforderten Dateilisten durch Leerzeilen getrennt, wobei die Reihenfolge identisch zu der in der Argumentenliste ist. Beachten Sie aber, dass Dateien, die durch Paket-spezifische Installationsskripte angelegt wurden, nicht aufgeführt werden.

--control-list Paketname
    Aufführen von Steuerdateien, die auf Ihrem System von Paketname installiert wurden. Diese können als Eingabeargumente für --control-show verwandt werden.

--control-show Paketname Steuerdatei
    Die Steuerdatei, die auf Ihrem System von Paketname installiert wurde, auf der Standardausgabe ausgeben.

-c, --control-path Paketname [Steuerdatei]
    Listet die Pfade für Steuerdateien auf, die von Paketname auf Ihrem System installiert wurden. Falls Steuerdatei angegeben wurde, liste nur den Pfad für diese Steuerdatei auf, falls sie existiert. Warnung:: Dieser Befehl ist veraltet, bitte verwenden Sie stattdessen --control-list und --control-show.

-S, --search Dateiname-Suchmuster ?
    Suche nach Paketen, denen Paketen, die auf ein bestimmtes Muster passen, gehören. Die normalen Jokerzeichen (»wildcards«) der Shell können in diesem Muster verwandt werden. Dieser Befehl wird weder die zusätzlichen Dateien, die durch Betreuer-Skripte angelegt wurden, noch Alternativen aufführen.

-p, --print-avail Paketname ?
    Zeige Details über Paketname an, wie diese in /var/lib/dpkg/available vorliegen. Wenn mehrere Paketname aufgeführt sind, werden die angeforderten available-Einträge durch Leerzeilen getrennt, wobei die Reihenfolge identisch zu der in der Argumentenliste ist. Benutzer APT-basierter Oberflächen sollten apt-cache show Paketname verwenden, da die Datei available nur bei der Benutzung von dselect aktuell bleibt.

-?, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

OPTIONEN

--admindir=Verz
    Ändert den Ablageort der dpkg-Datenbank. Der Standardort ist /var/lib/dpkg.

--load-avail
    Auch die »available«-Datei laden, wenn die Befehle --show und --list verwandt werden, die jetzt standardmnäßig nur die Statusdatei laden.

-f, --showformat=Format
    Diese Option wird dazu verwendet, das Format der Ausgabe anzugeben, das --show verwenden wird. Das Format ist eine Zeichenkette, die für jedes aufgeführte Paket ausgegeben wird. In der Formatzeichenkette leitet “\” Escape-Sequenzen ein:
        \n  Zeilenumbruch
        \r  Wagenrücklauf
        \t  Tabulator
    “\” vor einem anderen Zeichen unterdrückt jede spezielle Bedeutung des folgenden Zeichens. Dies ist für “\” und “$” nützlich. Paketinformationen können einbezogen werden, indem Variablenreferenzen auf Paketfelder eingefügt werden. Hierbei wird folgende Syntax verwendet: “${Feld[;Breite]}”. Felder werden rechtsbündig ausgegeben, falls die Breite nicht negativ ist und somit linksbündige Ausgabe erfolgt. Die folgenden Felder werden verstanden, sind aber nicht notwendigerweise in der Status-Datei verfügbar (nur interne Felder oder Felder, die im Binärpaket abgespeichert sind, landen dort):
        Architecture
        Bugs
        Conffiles (intern)
        Config-Version (intern)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (intern, Oberflächen-bezogen)
        Homepage
        Installed-Size
        MD5sum (intern, Oberflächen-bezogen)
        MSDOS-Filename (intern, Oberflächen-bezogen)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (veraltet)
        Section
        Size (intern, Oberflächen-bezogen)
        Source
        Status (intern)
        Suggests
        Tag (normalerweise nicht im .deb sondern in Packages-Dateien des Depots)
        Triggers-Awaited (intern)
        Triggers-Pending (intern)
        Version
        show:Summary (virtuell)
        show:Status-Abbrev (virtuell)
    Die folgenden Felder sind virtuell, sie werden von dpkg-query aus Werten aus anderen Feldern erstellt (beachten Sie, dass diese keine gültigen Namen für Felder in Steuerdateien benutzen):
        binary:Package
        binary:Summary
        db:Status-Abbrev
        source:Package
        source:Version
    Die Standard-Formatzeichenkette ist “${binary:Package}\t${Version}\n”. Tatsächlich können auch alle anderen Felder, die in der Statusdatei gefunden werden können (d.h. benutzerdefinierte Felder), abgefragt werden. Sie werden so dargestellt, wie sie gefunden werden, es erfolgt keine Umwandlung oder Fehlerüberprüfung. binary:Package ist ein besonderes Feld, das den Paketnamen mit einem Architektur-Kennzeichner (wie »libc6:amd64«) ausgibt, falls das Paket ein Feld Multi-Arch mit dem Wert same trägt und daher der Name mehrdeutig sein könnte. Um den Namen des dpkg-Betreuers und die installierte Version zu erhalten, könnten Sie folgendes ausführen:
      dpkg-query -W -f='${binary:Package} ${Version}\t${Maintainer}\n' dpkg

RÜCKGABEWERT

0   Die angeforderte Abfrage wurde erfolgreich ausgeführt.

1   Beim Lesen der Kommandozeile oder beim Ausführen der Abfrage traten Probleme auf. Dazu gehören auch keine Datei oder Paket gefunden (außer für --control-path).

UMGEBUNG

DPKG_ADMINDIR
    Falls gesetzt und die Option --admindir nicht verwandt wurde, wird dies als Datenverzeichnis von dpkg verwandt.

COLUMNS
    Diese Einstellung beeinflusst die Ausgabe der --list-Option durch Verändern der Breite ihrer Ausgabe.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2013 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
dpkg(1).